Skip to main content
GET
/
api
/
v1
/
refunds
/
{id}
Iadeyi getir
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/refunds/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_external_id": "<string>",
  "merchant_name": "<string>",
  "refund_amount": 123,
  "original_amount": 123,
  "currency": "<string>",
  "reason": "<string>",
  "created_by": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "error_message": "<string>",
  "original_transaction_basket_id": "<string>",
  "original_transaction_card_last4": "<string>",
  "original_transaction_connector_name": "<string>",
  "original_transaction_created": "2023-11-07T05:31:56Z",
  "provider_transaction_id": "<string>",
  "provider_response_code": "<string>",
  "provider_response_message": "<string>",
  "sibling_refunds": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "refund_amount": 123,
      "created": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Response

OK

id
string<uuid>
transaction_id
string<uuid>
merchant_id
string<uuid>
merchant_external_id
string | null
merchant_name
string | null
refund_amount
integer<int64>
original_amount
integer<int64>
currency
string | null
status
enum<string>
Available options:
Pending,
Completed,
Failed
reason_code
enum<string>
Available options:
CustomerRequest,
OutOfStock,
DuplicateCharge,
ProductDefect,
Fraud,
WrongAmount,
Other
reason
string | null
created_by
string | null
created
string<date-time>
completed_at
string<date-time> | null
error_message
string | null
original_transaction_basket_id
string | null
original_transaction_card_last4
string | null
original_transaction_card_schema_type
enum<string>
Available options:
Visa,
MasterCard,
Amex,
Troy,
UnionPay,
Proprietary
original_transaction_connector_name
string | null
original_transaction_created
string<date-time>
provider_transaction_id
string | null
provider_response_code
string | null
provider_response_message
string | null
sibling_refunds
object[] | null